1. matchmaking-requests
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Verify and handle webhook deliveries
  • Directory webhook events and payloads
  • Partner lead webhook event
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certification
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
      • Get a tier
      • Create a tier
      • Update a tier
      • Delete a tier
      • Get all entries assigned to an specific tier
      • Assign or Unassign entries to an specific tier
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • List directories
      GET
    • Get a directory
      GET
    • Create a directory
      POST
    • Update a directory
      PATCH
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
      • Get a partner entry
      • Create a partner entry
      • Update a partner entry
      • Delete a partner entry
      • Bulk upsert partner entries
      • Update the recommended order of a partner entry
    • Get all entries
      GET
  • Contact Request
    • Attachment
      • List contact request attachments
      • Create contact request attachment
      • Delete contact request attachment
    • Get all contact requests
      GET
    • Get a contact request
      GET
    • Create a new partner contact request
      POST
  • Matchmaking
    • Get all matchmaking requests
    • Get a matchmaking request
    • Create a new matchmaking request for a directory
    • Get all partners assigned to matchmaking requests
    • Assign an owner to a matchmaking request
    • Set partners to a matchmaking request
  • Review
    • directory-review-list
    • directory-review-detail
    • directory-review-create
    • Update a review
    • Delete a review
    • reviewsDirectoryExportRetrieve
  • contact-requests
    • Close a contact request
    • Send a reminder to the partner about a contact request
  • directories
    • List contact request routing sources
    • Get the webhook signing secret
    • Rotate the webhook signing secret
  • entries
    • Cancel a pending partner contact invitation
  • matchmaking-requests
    • Close a matchmaking request
      POST
    • Reopen a matchmaking request
      POST
  • organizations
    • Get the organization's webhook
    • Create the organization's webhook
    • Update the organization's webhook
    • Delete the organization's webhook
    • List the organization's webhook deliveries
    • Get one webhook delivery
    • Rotate the organization's webhook signing secret
  1. matchmaking-requests

Reopen a matchmaking request

POST
https://v1.api.partnerpage.io/api/directory/private/v1alpha/matchmaking-requests/{matchmakingId}/reopen/
Directory owner reopens a closed matchmaking request. It goes back to new and can be assigned to partners again. The close reason is cleared from the request and kept in stateHistory. No email is sent; the matchmaking_request_updated webhook reports the change.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Bodyapplication/json

🟠400
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/matchmaking-requests//reopen/' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "phone": "string",
    "company_name": "string",
    "company_website": "string",
    "comments": "string",
    "owner": "string",
    "utm_query_params": null,
    "href": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "created": "string",
    "state": "string",
    "assigned_partners": "string",
    "date_assigned": "string",
    "owner_name": "string",
    "close_reason": "string",
    "close_reason_detail": "string",
    "custom_form_response_id": "eb48d096-4b1f-4212-a99d-f06a387dc0a3",
    "custom_form": "string",
    "state_history": [
        {
            "property1": "string",
            "property2": "string"
        }
    ]
}
Modified at 2026-10-05 17:28:20
Previous
Close a matchmaking request
Next
Get the organization's webhook
Built with